Bug 1650296 - IP, MTU, and route changes should not restart interfaces
Summary: IP, MTU, and route changes should not restart interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 14.0 (Rocky)
Assignee: Dan Sneddon
QA Contact: Alistair Tonner
URL:
Whiteboard:
Depends On:
Blocks: 1650298
TreeView+ depends on / blocked
 
Reported: 2018-11-15 18:43 UTC by Bob Fournier
Modified: 2019-04-30 17:51 UTC (History)
7 users (show)

Fixed In Version: os-net-config-9.2.1-0.20190313054549.21dfd95.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1650298 (view as bug list)
Environment:
Last Closed: 2019-04-30 17:51:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1795129 None None None 2018-11-15 18:47:03 UTC
Launchpad 1819212 None None None 2019-03-09 00:56:53 UTC
OpenStack gerrit 616992 None None None 2018-11-15 18:47:52 UTC
OpenStack gerrit 642847 None None None 2019-03-13 16:23:30 UTC
Red Hat Product Errata RHBA-2019:0878 None None None 2019-04-30 17:51:25 UTC

Description Bob Fournier 2018-11-15 18:43:59 UTC
Description of problem:

os-net-config restarts an interface when any aspect of the configuration changes. Some changes, like IP changes, route changes, MTU, and boot settings can be set on the fly with 'ip' or 'ip route' commands. If those are the only changes, os-net-config should just make the changes to the config and run the necessary commands instead of restarting the interface.

This behavior is necessary in environments where routes may be updated during scaling operations, such as routed spine/leaf environments when adding new leaf networks.

Comment 12 mlammon 2019-04-16 14:17:37 UTC
Environment:
os-net-config-9.2.1-0.20190313054549.21dfd95.el7ost.noarch


Using similar verification procedure changing mtu setting to 1420 on vlan of compute.

1. deployed latest osp14 with 3 controller, 1 compute successfully
2. make changes to mtu on vlan50
3. re-run deploy command
4. monitor and only see mtu get updates
 

mtu change
/home/stack/virt/network/three-nics-vlans/compute.yaml

add " NetworkDeploymentActions: ['CREATE','UPDATE']" 
/home/stack/virt/network/network-environment.yaml

parameter_defaults:
    NetworkDeploymentActions: ['CREATE','UPDATE']


--------

see 1420 mtu change with
/home/stack/virt/network/three-nics-vlans/compute.yaml
 
                            -
                              type: vlan
                              mtu: 1420
                              vlan_id:
                                  get_param: TenantNetworkVlanID
                              addresses:
 
(undercloud) [stack@undercloud-0 ~]$ cat overcloud_deploy.sh
#!/bin/bash

openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack overcloud \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
-e /home/stack/virt/config_lvm.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/hostnames.yml \
-e /home/stack/virt/nodes_data.yaml \
-e ~/containers-prepare-parameter.yaml \
-e /home/stack/virt/extra_templates.yaml \
--log-file overcloud_deployment_4.log

Comment 14 errata-xmlrpc 2019-04-30 17:51:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0878


Note You need to log in before you can comment on or make changes to this bug.